// Ported from https://github.com/react-bootstrap/react-bootstrap/blob/f11723114d532cfce840417834a73733a8436414/src/AccordionItem.tsx
import { mergeProps, splitProps } from "solid-js";
import { Dynamic } from "solid-js/web";
import classNames from "./classnames";
import { useBootstrapPrefix } from "./ThemeProvider";
import AccordionItemContext from "./AccordionItemContext";
const defaultProps = {
    as: "div",
};
const AccordionItem = (p) => {
    const [local, props] = splitProps(mergeProps(defaultProps, p), [
        "as",
        "bsPrefix",
        "class",
        "eventKey",
    ]);
    const bsPrefix = useBootstrapPrefix(local.bsPrefix, "accordion-item");
    const contextValue = {
        get eventKey() {
            return local.eventKey;
        },
    };
    return (<AccordionItemContext.Provider value={contextValue}>
      <Dynamic component={local.as} {...props} class={classNames(local.class, bsPrefix)}/>
    </AccordionItemContext.Provider>);
};
export default AccordionItem;
