import { mergeProps, splitProps } from "solid-js";
import classNames from "./classnames";
import { useBootstrapPrefix } from "./ThemeProvider";
import { Dynamic } from "solid-js/web";
const defaultProps = {
    as: "span",
    bg: "primary",
    pill: false,
};
const Badge = (p) => {
    const [local, props] = splitProps(mergeProps(defaultProps, p), [
        "as",
        "bsPrefix",
        "bg",
        "pill",
        "text",
        "class",
    ]);
    const prefix = useBootstrapPrefix(local.bsPrefix, "badge");
    return (<Dynamic component={local.as} {...props} class={classNames(local.class, prefix, local.pill && `rounded-pill`, local.text && `text-${local.text}`, local.bg && `bg-${local.bg}`)}/>);
};
export default Badge;
