import { mergeProps, splitProps } from "solid-js";
import classNames from "./classnames";
import Anchor from "./Anchor";
import { useBootstrapPrefix } from "./ThemeProvider";
import { Dynamic } from "solid-js/web";
const defaultProps = {
    as: "li",
    active: false,
    linkAs: Anchor,
    linkProps: {},
};
const BreadcrumbItem = (p) => {
    const [local, props] = splitProps(mergeProps(defaultProps, p), [
        "bsPrefix",
        "active",
        "children",
        "class",
        "as",
        "linkAs",
        "linkProps",
        "href",
        "title",
        "target",
    ]);
    const prefix = useBootstrapPrefix(local.bsPrefix, "breadcrumb-item");
    return (<Dynamic component={local.as} {...props} class={classNames(prefix, local.class, { active: local.active })} aria-current={local.active ? "page" : undefined}>
      {local.active ? (local.children) : (<Dynamic component={local.linkAs} {...local.linkProps} href={local.href} title={local.title} target={local.target}>
          {local.children}
        </Dynamic>)}
    </Dynamic>);
};
export default BreadcrumbItem;
