import { mergeProps, splitProps } from "solid-js";
import classNames from "./classnames";
import { useBootstrapPrefix } from "./ThemeProvider";
import { Dynamic } from "solid-js/web";
const defaultProps = {
    as: "div",
    vertical: false,
    role: "group",
};
const ButtonGroup = (p) => {
    const [local, props] = splitProps(mergeProps(defaultProps, p), [
        "bsPrefix",
        "size",
        "vertical",
        "class",
        "as",
    ]);
    const prefix = useBootstrapPrefix(local.bsPrefix, "btn-group");
    let baseClass = prefix;
    if (local.vertical)
        baseClass = `${prefix}-vertical`;
    return (<Dynamic component={local.as} {...props} class={classNames(local.class, baseClass, local.size && `${prefix}-${local.size}`)}/>);
};
export default ButtonGroup;
