import { mergeProps, splitProps } from "solid-js";
import classNames from "./classnames";
import { useBootstrapPrefix } from "./ThemeProvider";
import { Dynamic } from "solid-js/web";
const defaultProps = {
    as: "img",
};
const CardImg = (p) => {
    const [local, props] = splitProps(mergeProps(defaultProps, p), [
        "as",
        "bsPrefix",
        "class",
        "variant",
    ]);
    const prefix = useBootstrapPrefix(local.bsPrefix, "card-img");
    return (<Dynamic component={local.as} class={classNames(local.variant ? `${prefix}-${local.variant}` : prefix, local.class)} {...props}/>);
};
export default CardImg;
