import { JSX } from "solid-js";
import { BsPrefixProps, BsPrefixRefForwardingComponent, ElementType } from "./helpers";
type NumberAttr = number | "1" | "2" | "3" | "4" | "5" | "6" | "7" | "8" | "9" | "10" | "11" | "12";
type ColOrderNumber = number | "1" | "2" | "3" | "4" | "5";
type ColOrder = ColOrderNumber | "first" | "last";
type ColSize = boolean | "auto" | NumberAttr;
type ColSpec = ColSize | {
    span?: ColSize;
    offset?: NumberAttr;
    order?: ColOrder;
};
export interface ColProps extends BsPrefixProps, JSX.HTMLAttributes<HTMLElement> {
    xs?: ColSpec;
    sm?: ColSpec;
    md?: ColSpec;
    lg?: ColSpec;
    xl?: ColSpec;
    xxl?: ColSpec;
    [key: string]: any;
}
export interface UseColMetadata {
    as?: ElementType;
    bsPrefix: string;
    spans: string[];
}
export declare function useCol(o: ColProps): [any, UseColMetadata];
declare const Col: BsPrefixRefForwardingComponent<"div", ColProps>;
export default Col;
