import { JSX } from "solid-js";
import { SelectCallback, UseDropdownMenuOptions } from "solid-bootstrap-core";
import { DropDirection } from "./DropdownContext";
import { BsPrefixProps, BsPrefixRefForwardingComponent } from "./helpers";
import { AlignType } from "./types";
export type DropdownMenuVariant = "dark" | string;
export interface DropdownMenuProps extends BsPrefixProps, Omit<JSX.HTMLAttributes<HTMLElement>, "onSelect"> {
    show?: boolean;
    renderOnMount?: boolean;
    flip?: boolean;
    align?: AlignType;
    onSelect?: SelectCallback;
    ref?: (ref: HTMLElement) => void;
    rootCloseEvent?: "click" | "mousedown";
    popperConfig?: UseDropdownMenuOptions["popperConfig"];
    variant?: DropdownMenuVariant;
}
export declare function getDropdownMenuPlacement(alignEnd: boolean, dropDirection?: DropDirection, isRTL?: boolean): "top-start" | "top-end" | "bottom-start" | "bottom-end" | "right-start" | "right-end" | "left-start" | "left-end";
declare const DropdownMenu: BsPrefixRefForwardingComponent<"div", DropdownMenuProps>;
export default DropdownMenu;
