import { JSX } from "solid-js";
import { SelectCallback } from "solid-bootstrap-core";
import { BsPrefixProps, BsPrefixRefForwardingComponent } from "./helpers";
export interface NavbarProps extends BsPrefixProps, Omit<JSX.HTMLAttributes<HTMLElement>, "onSelect"> {
    variant?: "light" | "dark";
    expand?: boolean | string | "sm" | "md" | "lg" | "xl" | "xxl";
    bg?: string;
    fixed?: "top" | "bottom";
    sticky?: "top";
    onToggle?: (expanded: boolean) => void;
    onSelect?: SelectCallback;
    collapseOnSelect?: boolean;
    expanded?: boolean;
    defaultExpanded?: boolean;
}
declare const _default: BsPrefixRefForwardingComponent<"nav", NavbarProps> & {
    Brand: BsPrefixRefForwardingComponent<"a", import("./NavbarBrand").NavbarBrandProps>;
    Collapse: (p: import("./NavbarCollapse").NavbarCollapseProps) => JSX.Element;
    Offcanvas: (props: import("./Offcanvas").OffcanvasProps) => JSX.Element;
    Text: BsPrefixRefForwardingComponent<"span", unknown>;
    Toggle: BsPrefixRefForwardingComponent<"button", import("./NavbarToggle").NavbarToggleProps>;
};
export default _default;
