import { mergeProps, splitProps, useContext } from "solid-js";
import Collapse from "./Collapse";
import { useBootstrapPrefix } from "./ThemeProvider";
import NavbarContext from "./NavbarContext";
import classnames from "./classnames";
const defaultProps = {};
const NavbarCollapse = (p) => {
    const [local, props] = splitProps(mergeProps(defaultProps, p), [
        "bsPrefix",
        "class",
        "children",
        "ref",
    ]);
    const bsPrefix = useBootstrapPrefix(local.bsPrefix, "navbar-collapse");
    const context = useContext(NavbarContext);
    return (<Collapse in={!!context?.expanded} {...props}>
      <div ref={local.ref} class={classnames(bsPrefix, local.class)}>
        {local.children}
      </div>
    </Collapse>);
};
export default NavbarCollapse;
