import { JSX } from "solid-js";
import { OverlayProps as BaseOverlayProps, OverlayInjectedProps } from "solid-bootstrap-core";
import { TransitionType } from "./helpers";
import { Placement, RootCloseEvent } from "./types";
export type OverlayChildren = JSX.Element | ((injected: OverlayInjectedProps) => JSX.Element);
export interface OverlayProps extends Omit<BaseOverlayProps, "children" | "transition" | "rootCloseEvent"> {
    children: JSX.Element;
    transition?: TransitionType;
    placement?: Placement;
    rootCloseEvent?: RootCloseEvent;
    ref?: (ref: HTMLElement) => void;
}
declare const Overlay: (p: OverlayProps) => JSX.Element;
export default Overlay;
