import { JSX } from "solid-js";
import { OverlayProps } from "./Overlay";
export type OverlayTriggerType = "hover" | "click" | "focus";
export type OverlayDelay = number | {
    show: number;
    hide: number;
};
export type OverlayInjectedProps = {
    onFocus?: (...args: any[]) => any;
};
export type OverlayTriggerRenderProps = OverlayInjectedProps & {
    ref: (ref: any) => void;
};
export interface OverlayTriggerProps extends Omit<OverlayProps, "children" | "target"> {
    children: JSX.Element;
    trigger?: OverlayTriggerType | OverlayTriggerType[];
    delay?: OverlayDelay;
    show?: boolean;
    defaultShow?: boolean;
    onToggle?: (nextShow: boolean) => void;
    flip?: boolean;
    overlay: JSX.Element;
    target?: never;
    onHide?: never;
}
declare function OverlayTrigger(p: OverlayTriggerProps): JSX.Element;
export default OverlayTrigger;
