import { mergeProps, splitProps } from "solid-js";
import usePlaceholder from "./usePlaceholder";
import PlaceholderButton from "./PlaceholderButton";
import { Dynamic } from "solid-js/web";
const defaultProps = {
    as: "span",
};
const Placeholder = (p) => {
    const [local, props] = splitProps(mergeProps(defaultProps, p), [
        "as",
        "children",
    ]);
    return (<Dynamic component={local.as} {...usePlaceholder(props)}>
      {local.children}
    </Dynamic>);
};
export default Object.assign(Placeholder, {
    Button: PlaceholderButton,
});
