import { JSX } from "solid-js";
export declare const DEFAULT_BREAKPOINTS: string[];
export interface ThemeContextValue {
    prefixes: Record<string, string>;
    breakpoints: string[];
    dir?: string;
}
export interface ThemeProviderProps extends Partial<ThemeContextValue> {
    children: JSX.Element;
}
declare function ThemeProvider({ prefixes, breakpoints, dir, children, }: ThemeProviderProps): JSX.Element;
export declare function useBootstrapPrefix(prefix: string | undefined, defaultPrefix: string): string;
export declare function useBootstrapBreakpoints(): () => string[];
export declare function useIsRTL(): () => boolean;
export default ThemeProvider;
