import { JSX } from "solid-js";
import { ButtonProps } from "./Button";
export type ToggleButtonType = "checkbox" | "radio";
export interface ToggleButtonProps extends Omit<ButtonProps, "onChange" | "type"> {
    type?: ToggleButtonType;
    name?: string;
    checked?: boolean;
    disabled?: boolean;
    onChange?: JSX.EventHandlerUnion<HTMLInputElement, Event>;
    value: string | string[] | number;
    inputRef?: (r: HTMLInputElement) => void;
}
declare const ToggleButton: (p: ToggleButtonProps) => JSX.Element;
export default ToggleButton;
