import classNames from "./classnames";
import { useBootstrapPrefix } from "./ThemeProvider";
import { useCol } from "./Col";
export default function usePlaceholder({ animation, bg, bsPrefix, size, ...props }) {
    bsPrefix = useBootstrapPrefix(bsPrefix, "placeholder");
    const [{ class: class_, ...colProps }] = useCol(props);
    return {
        ...colProps,
        class: classNames(class_, animation ? `${bsPrefix}-${animation}` : bsPrefix, size && `${bsPrefix}-${size}`, bg && `bg-${bg}`),
    };
}
